Attribute VB_Name = "SYSEX1"
Option Explicit

Global Const MODAL = 1

Sub MIDIInOpen()
    Dim wRtn As Integer
    
    If PSSForm.MIDIInput1.State >= MIDISTATE_OPEN Then
        ' Close midiin port
        PSSForm.MIDIInput1.Action = MIDIIN_CLOSE

        'Turn off the MIDI Filtering
        PSSForm.MIDIInput1.Filter(FILTER_F9) = False
        PSSForm.MIDIInput1.Filter(FILTER_ACTIVE_SENSE) = False
        PSSForm.MIDIInput1.Filter(FILTER_CLOCK) = False
    End If

    
    ' Get selected device id
    PSSForm.MIDIInput1.DeviceID = PSSset.ComboMidiIn.ListIndex
    
    ' Open midi in
    PSSForm.MIDIInput1.Action = MIDIIN_OPEN

    'Turn on some MIDI Filtering
    PSSForm.MIDIInput1.Filter(FILTER_F9) = True
    PSSForm.MIDIInput1.Filter(FILTER_ACTIVE_SENSE) = True
    PSSForm.MIDIInput1.Filter(FILTER_CLOCK) = True

End Sub

Sub MIDIOutOpen()

    If PSSForm.MIDIOutput1.State >= MIDISTATE_OPEN Or PSSForm.MIDIOutput1.DeviceID = -1 Then
        ' Close
        PSSForm.MIDIOutput1.Action = MIDIOUT_CLOSE
    End If
    
    ' Open selected device
    PSSForm.MIDIOutput1.DeviceID = PSSset.ComboMidiOut.ListIndex - 1
    PSSForm.MIDIOutput1.Action = MIDIOUT_OPEN
    
End Sub

